import { Observable } from 'rxjs';
import { IObservablesStorage, IParams } from '../interfaces/IObservableStorage';
/**
 * Note: We are not using array query params in the Collboard
 * TODO: This is taken from CollBoard and should be reviewed - this should be part of some storage
 *
 */
export declare class BrowserHistoryRouteStorage<TParams extends IParams> implements IObservablesStorage<TParams> {
    values: Observable<TParams>;
    private lastParams;
    private urlsObserver;
    private serializedStorage;
    constructor(defaultParams: TParams);
    pushValues(params: TParams): void;
    dispose(): void;
    private createUpdatedUrl;
}
