import { IObservableStorage, IParams } from '../../interfaces/IObservableStorage';
import { IStorage } from '../../main';
import { AbstractBrowserHistoryStorage } from './AbstractBrowserHistoryStorage';
export declare class BrowserHistoryStorage<TParams extends IParams> extends AbstractBrowserHistoryStorage<TParams> implements IObservableStorage<TParams> {
    readonly decodeUrl: (url: string) => TParams;
    readonly encodeUrl: (url: TParams, lastUrl: string) => string;
    constructor(decodeUrl: (url: string) => TParams, encodeUrl: (url: TParams, lastUrl: string) => string, defaultParams: TParams, serializedStorage: IStorage<TParams>);
}
