import { IObservableStorage, IParams } from '../interfaces/IObservableStorage';
import { IStorage } from '../main';
import { AbstractBrowserHistoryStorage } from './BrowserHistoryStorage';
export declare class BrowserHistoryPathStorage<TParams extends IParams> extends AbstractBrowserHistoryStorage<TParams> implements IObservableStorage<TParams> {
    readonly decodeUrl: (url: string) => TParams;
    readonly encodeUrl: (url: TParams) => string;
    constructor(decodeUrl: (url: string) => TParams, encodeUrl: (url: TParams) => string, defaultParams: TParams, serializedStorage: IStorage<TParams>);
}
