import { IObservableStorage, IParams } from '../interfaces/IObservableStorage';
import { AbstractBrowserHistoryStorage } from './BrowserHistoryStorage';
/**
 * Note: Not suppoting array query params
 *
 */
export declare class BrowserHistoryQueryStorage<TParams extends IParams> extends AbstractBrowserHistoryStorage<TParams> implements IObservableStorage<TParams> {
    protected decodeUrl(urlString: string): Partial<TParams>;
    protected encodeUrl(params: TParams): string;
}
